security - Added GNU Privacy Assistant

This commit is contained in:
thetechprepper
2026-03-06 15:33:46 -07:00
parent 4e94b6976a
commit 44c78139e6
4 changed files with 67 additions and 1 deletions
+49
View File
@@ -0,0 +1,49 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 6 March 2026
# Purpose : Install GNU Privacy Assistant
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=gpa
VERSION=0.11.1
DOWNLOAD_FILE="${APP}-${VERSION}.tar.bz2"
URL="https://www.gnupg.org/ftp/gcrypt/gpa/${DOWNLOAD_FILE}"
INSTALL_DIR=/opt/${APP}-${VERSION}
LINK_PATH=/opt/${APP}
et-log "Installing ${APP} ${VERSION}..."
et-log "Installing build dependencies..."
apt install \
libgtk-3-dev \
libgpg-error-dev \
libgpgme-dev \
-y
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
et-log "Downloading ${URL}"
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
CWD_DIR=`pwd`
cd ${ET_SRC_DIR}
tar -xjf ${ET_DIST_DIR}/${DOWNLOAD_FILE} && cd ${APP}-${VERSION}
[[ ! -e ${INSTALL_DIR} ]] && mkdir -v ${INSTALL_DIR}
./configure --prefix=${INSTALL_DIR}
make && make install
[[ -e ${LINK_PATH} ]] && rm ${LINK_PATH}
ln -s ${INSTALL_DIR} ${LINK_PATH}
stow -v -d /opt ${APP} -t /usr/local
cd ${CWD_DIR}
+4 -1
View File
@@ -2,7 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 15 February 2026
# Updated : 6 March 2026
# Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh
@@ -98,3 +98,6 @@ exitIfNotRoot
# Instal SIGINT tools
./install-artemis.sh
./install-minimodem.sh
# Install security tools
./install-gpa.sh
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 6 March 2026
# Purpose : Test Audacity installation
OUT=$(which audacity)
exit $?
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 6 March 2026
# Purpose : Test GNU Privacy Assistance installation
OUT=$(which gpa)
exit $?